package io.reisub.openosrs.birdhouse;

import lombok.AllArgsConstructor;
import lombok.Getter;
import net.runelite.api.VarPlayer;
import net.runelite.client.plugins.iutils.scene.Position;

@AllArgsConstructor
@Getter
public enum BirdhouseSpace {
    // declaration order should not be changed, this is the order we do the birdhouses in
    VALLEY_SOUTH(VarPlayer.BIRD_HOUSE_VALLEY_SOUTH, new Position(3763, 3755, 0)),
    VALLEY_NORTH(VarPlayer.BIRD_HOUSE_VALLEY_NORTH, new Position(3768, 3761, 0)),
    MEADOW_NORTH(VarPlayer.BIRD_HOUSE_MEADOW_NORTH, new Position(3677, 3882, 0)),
    MEADOW_SOUTH(VarPlayer.BIRD_HOUSE_MEADOW_SOUTH, new Position(3679, 3815, 0));

    // 3681 3819 == near south meadow

    private final VarPlayer varp;
    private final Position position;
}
