package io.reisub.openosrs.birdhouse.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.api.ItemID;
import net.runelite.client.plugins.iutils.game.InventoryItem;

public class CraftBirdhouse extends Task {
    @Override
    public String getStatus() {
        return "Crafting birdhouse";
    }

    @Override
    public boolean validate() {
        return game.inventory().withId(ItemID.CLOCKWORK).exists();
    }

    @Override
    public void execute() {
        InventoryItem chisel = game.inventory().withId(ItemID.CHISEL).first();
        InventoryItem logs = game.inventory().withNamePart("logs").first();
        if (chisel == null || logs == null) return;

        chisel.useOn(logs);
        game.waitUntil(() -> !game.inventory().withId(ItemID.CLOCKWORK).exists(), 5);
        game.tick();
    }
}
