package io.reisub.openosrs.fisher.tasks;

import io.reisub.openosrs.util.Task;

public class Drop extends Task {
    @Override
    public String getStatus() {
        return "Dropping";
    }

    @Override
    public boolean validate() {
        return game.inventory().full();
    }

    @Override
    public void execute() {
        game.inventory().withNamePart("Leaping").forEach((item) -> {
            item.interact("Drop");
            game.sleepDelay();
        });

        game.tick();
    }
}
