package io.reisub.openosrs.fisher.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.client.plugins.iutils.game.iActor;
import net.runelite.client.plugins.iutils.game.iNPC;

public class Fish extends Task {
    private iNPC spot;

    @Override
    public String getStatus() {
        return "Fishing";
    }

    @Override
    public boolean validate() {
        spot = game.npcs().withName("Fishing spot")
                .filter(iNPC -> iNPC.position().y < 3513 && iNPC.position().y > 3504).nearest();

        iActor target = game.localPlayer().target();
        if (target != null && (target.position().y >= 3513 || target.position().y <= 3504)) return  true;

        return !game.inventory().full()
                && spot != null
                && (game.localPlayer().isIdle() || game.localPlayer().target() == null);
    }

    @Override
    public void execute() {
        spot.interact("Use-rod");
        game.tick(calc.random(2, 4));

        game.waitUntil(() -> game.localPlayer().animation() != -1, 10);
        spot = null;
    }
}
