package io.reisub.openosrs.fisher.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.client.plugins.iutils.game.iNPC;
import net.runelite.client.plugins.iutils.scene.Position;

public class HandleBank extends Task {
    @Override
    public String getStatus() {
        return "Banking";
    }

    @Override
    public boolean validate() {
        return game.inventory().full();
    }

    @Override
    public void execute() {
        iNPC banker = game.npcs().withName("Banker").nearest();

        if (banker == null) {
            Position pos = new Position(2852, 2957, 0);
            game.walkUtils.sceneWalk(pos, 1, calc.random(50, 250));
            game.tick();

            game.waitUntil(() -> pos.distanceTo(game.localPlayer().position()) < calc.random(6, 9));
        } else if (banker.position().distanceTo(game.localPlayer().position()) > 8) {
            Position pos = banker.position();
            game.walkUtils.sceneWalk(pos,1, calc.random(50, 250));
            game.tick();

            game.waitUntil(() -> pos.distanceTo(game.localPlayer().position()) < calc.random(6, 9));
        }

        banker = game.npcs().withName("Banker").nearest();

        banker.interact("Bank");
        game.tick();

        game.waitUntil(() -> bank.isOpen(), 10);
        bank.depositAll(true, 335, 331);
        game.tick();
    }
}
