package io.reisub.openosrs.glassblower.tasks;

import io.reisub.openosrs.glassblower.Glassblower;
import io.reisub.openosrs.util.Task;
import net.runelite.api.ItemID;
import net.runelite.client.plugins.iutils.game.iGroundItem;

public class PickupSeed extends Task {
    @Override
    public String getStatus() {
        return "Picking up seed";
    }

    @Override
    public boolean validate() {
        return game.groundItems().withId(ItemID.SEAWEED_SPORE).exists();
    }

    @Override
    public void execute() {
        iGroundItem item = game.groundItems().withId(ItemID.SEAWEED_SPORE).nearest();
        if (item == null) return;

        int quantity = game.inventory().withId(ItemID.SEAWEED_SPORE).quantity();

        item.interact("Take");
        game.waitUntil(() -> game.inventory().withId(ItemID.SEAWEED_SPORE).quantity() > quantity
                || (game.localPlayer() != null && game.localPlayer().position().regionID() == Glassblower.FOSSIL_ISLAND_SMALL_ISLAND_REGION), 30);
    }
}
