package io.reisub.openosrs.masterthiever.tasks;

import io.reisub.openosrs.masterthiever.MasterThiever;
import io.reisub.openosrs.util.Task;
import io.reisub.openosrs.util.enums.Activity;
import net.runelite.api.AnimationID;
import net.runelite.api.NpcID;
import net.runelite.api.Skill;
import net.runelite.client.plugins.iutils.game.iNPC;

import javax.inject.Inject;

public class Steal extends Task {
    @Inject
    private MasterThiever plugin;

    @Override
    public String getStatus() {
        return "Pickpocketing";
    }

    @Override
    public boolean validate() {
        return !game.inventory().full()
                && plugin.getCurrentActivity() == Activity.IDLE
                && game.client().getLocalPlayer().getModelHeight() != 1000
                && (game.inventory().withAction("Eat").exists() || game.modifiedLevel(Skill.HITPOINTS) > plugin.getEatThreshold());
    }

    @Override
    public void execute() {
        iNPC farmer = game.npcs().withId(NpcID.MASTER_FARMER, NpcID.MASTER_FARMER_5731).nearest();

        if (farmer == null) return;


        farmer.interact("Pickpocket");
        plugin.setActivity(Activity.THIEVING);
        game.tick();
    }
}
