package io.reisub.openosrs.miner.tasks;

import io.reisub.openosrs.miner.Config;
import io.reisub.openosrs.miner.Miner;
import io.reisub.openosrs.util.Task;
import net.runelite.client.plugins.iutils.game.iObject;

import javax.inject.Inject;

public class Deposit extends Task {
    @Inject
    private Miner plugin;

    @Inject
    private Config config;

    @Override
    public String getStatus() {
        return "Depositing grinder";
    }

    @Override
    public boolean validate() {
        if (!plugin.hasWaterSkins() && game.inventory().withNamePart("Sandstone").exists()) return true;

        return game.inventory().full()
                && !game.inventory().withNamePart("Granite").exists()
                && game.localPlayer().position().regionID() == 12589
                && (game.localPlayer().isIdle() || plugin.isInterrupted());
    }

    @Override
    public void execute() {
        if (plugin.isInterrupted()) {
            plugin.setInterrupted(false);
        }

        if (config.threeTickFourGranite() || config.threeTickFourSandstone()) {
            walking.setRun(false);
            game.sleepDelay();
        }

        iObject grinder = game.objects().withName("Grinder").nearest();
        if (grinder == null) return;

        grinder.interact(0);
        plugin.setStartedCycle(false);
        game.waitUntil(() -> !game.inventory().withNamePart("Sandstone").exists() || plugin.isInterrupted(), 10);
    }
}
