package io.reisub.openosrs.miner.tasks;

import io.reisub.openosrs.miner.Config;
import io.reisub.openosrs.miner.Miner;
import io.reisub.openosrs.util.Task;
import net.runelite.client.plugins.iutils.game.EquipmentItem;

import javax.inject.Inject;

public class TpAway extends Task {
    @Inject
    private Miner plugin;

    @Inject
    private Config config;

    @Override
    public String getStatus() {
        return "Teleporting away from quarry";
    }

    @Override
    public boolean validate() {
        return config.prepareBirdhouseRun()
                && !plugin.hasWaterSkins()
                && !game.inventory().withNamePart("Sandstone").exists()
                && game.localPlayer().position().regionID() == 12589;
    }

    @Override
    public void execute() {
        EquipmentItem ring = game.equipment().withNamePart("Ring of dueling").first();
        if (ring == null) return;

        ring.interact("Castle Wars");
        game.waitUntil(() -> game.localPlayer().position().regionID() == 9776);
    }
}
