package io.reisub.openosrs.miner.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.api.ItemID;

public class Wait extends Task {
    @Override
    public String getStatus() {
        return "Waiting";
    }

    @Override
    public boolean validate() {
        return !game.inventory().withId(ItemID.WATERSKIN1, ItemID.WATERSKIN2, ItemID.WATERSKIN3, ItemID.WATERSKIN4).exists();
    }

    @Override
    public void execute() {
        game.tick(3);
    }
}
