package io.reisub.openosrs.mtahelper.tasks;

import io.reisub.openosrs.mtahelper.MTAHelper;
import io.reisub.openosrs.util.Task;
import net.runelite.client.plugins.iutils.api.Spells;
import net.runelite.client.plugins.iutils.game.iObject;
import net.runelite.client.plugins.iutils.game.iWidget;

import javax.inject.Inject;

public class CastBonesToBananas extends Task {
    @Inject
    private MTAHelper plugin;

    @Override
    public String getStatus() {
        return "Casting bones to bananas and depositing";
    }

    @Override
    public boolean validate() {
        return plugin.isCastBonesToBananas();
    }

    @Override
    public void execute() {
        iObject foodChute = game.objects().withName("Food chute").nearest();
        if (foodChute == null) return;

        foodChute.interact("Deposit");
        game.sleepDelay();
        game.sleepDelay();

        iWidget spellWidget = game.widget(Spells.BONES_TO_BANANAS.getInfo());
        if (spellWidget == null) return;

        spellWidget.interact("Cast");

        plugin.setCastBonesToBananas(false);
    }
}
