package io.reisub.openosrs.mtahelper.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.api.Skill;
import net.runelite.client.plugins.iutils.game.InventoryItem;

public class EatPeach extends Task {
    private long last;

    @Override
    public String getStatus() {
        return "Eating a peach";
    }

    @Override
    public boolean validate() {
        int missingHp = game.baseLevel(Skill.HITPOINTS) - game.modifiedLevel(Skill.HITPOINTS);

        return game.inventory().withName("Peach").exists()
                && missingHp >= 8
                && game.ticks() >= last + 3;

    }

    @Override
    public void execute() {
        InventoryItem peach = game.inventory().withName("Peach").first();
        if (peach == null) return;

        peach.interact("Eat");
        game.tick();

        last = game.ticks();
    }
}
