package io.reisub.openosrs.shopper.tasks;

import io.reisub.openosrs.shopper.Shopper;
import io.reisub.openosrs.util.Task;
import net.runelite.api.widgets.WidgetInfo;
import net.runelite.client.plugins.iutils.game.iWidget;

import javax.inject.Inject;

public class CloseShop extends Task {
    @Inject
    private Shopper plugin;

    @Override
    public String getStatus() {
        return "Closing shop";
    }

    @Override
    public boolean validate() {
        iWidget shop = game.widget(300, 1);

        return shop != null && !shop.hidden();
    }

    @Override
    public void execute() {
        iWidget close = game.widget(300,1, 11);
        if (close == null) return;
        close.interact("Close");
        game.tick();

        if (!game.inventory().full()) {
            plugin.setHop(true);
        }
    }
}
