package io.reisub.openosrs.test.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.client.plugins.iutils.ui.Chatbox;

public class Test extends Task {
    private long last = System.currentTimeMillis();

    @Override
    public String getStatus() {
        return "Running test task";
    }

    @Override
    public boolean validate() {
        //return false;
        return System.currentTimeMillis() > last + 5000;
    }

    @Override
    public void execute() {
        log("running test task");

        last = System.currentTimeMillis();

        log("state: " + chatbox.chatState());

        if (chatbox.chatState() == Chatbox.ChatState.OPTIONS_CHAT) {
            log("choosing option");
            chatbox.chooseOption(1);
            game.tick(3);
        }
    }
}
