package io.reisub.openosrs.volcanicashminer.tasks;

import io.reisub.openosrs.util.Task;
import io.reisub.openosrs.util.enums.Activity;
import io.reisub.openosrs.volcanicashminer.VolcanicAshMiner;
import net.runelite.client.plugins.iutils.game.iObject;
import net.runelite.client.plugins.iutils.scene.Position;

import javax.inject.Inject;

public class Mine extends Task {
    @Inject
    private VolcanicAshMiner plugin;

    private final Position[] ASH_PILE_POSITIONS = new Position[]{
            new Position(3794, 3773, 0),
            new Position(3789, 3769, 0),
            new Position(3781, 3774, 0)
    };

    @Override
    public String getStatus() {
        return "Mining";
    }

    @Override
    public boolean validate() {
        iObject ashPile = game.objects().withPosition(ASH_PILE_POSITIONS).withName("Ash pile").nearest();

        return plugin.getCurrentActivity() == Activity.IDLE
                && game.localPlayer().isIdle()
                && ashPile != null;
    }

    @Override
    public void execute() {
        iObject ashPile = game.objects().withPosition(ASH_PILE_POSITIONS).withName("Ash pile").nearest();

        ashPile.interact("Mine");
        game.waitUntil(() -> game.localPlayer().animation() != -1, 15);
    }
}
