package io.reisub.openosrs.woodcutter.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.client.plugins.iutils.game.iObject;

public class Chop extends Task {
    private iObject tree;

    @Override
    public String getStatus() {
        return "Chopping";
    }

    @Override
    public boolean validate() {
        if (!game.localPlayer().isIdle() || game.inventory().full()) {
            return false;
        }

        tree = game.objects().withName("Tree").within(9).nearestPath();

        if (tree == null) {
            tree = game.objects().withName("Tree").nearest();
        }

        return tree != null;
    }

    @Override
    public void execute() {
        tree.interact("Chop down");

        if (!game.waitUntil(() -> !game.localPlayer().isIdle(), 5)) {
            logWarn("Failed to start chopping tree");
        }

        tree = null;
    }
}
