package io.reisub.openosrs.agility;

import lombok.Getter;
import net.runelite.client.plugins.iutils.scene.Position;

public class ObstacleArea {
    private final int minX;
    private final int maxX;
    private final int minY;
    private final int maxY;
    private final int z;

    @Getter
    private final int id;

    public ObstacleArea(int minX, int maxX, int minY, int maxY, int z,  int id) {
        this.minX = minX;
        this.maxX = maxX;
        this.minY = minY;
        this.maxY = maxY;
        this.z = z;
        this.id = id;
    }

    public boolean contains(Position position) {
        return position.x >= minX
                && position.x <= maxX
                && position.y >= minY
                && position.y <= maxY
                && position.z == z;
    }
}
