package io.reisub.openosrs.birdhouse.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.client.plugins.iutils.game.iObject;

public class BuildBirdhouse extends Task {
    @Override
    public String getStatus() {
        return "Building birdhouse";
    }

    @Override
    public boolean validate() {
        return game.inventory().withNamePart("bird house").exists();
    }

    @Override
    public void execute() {
        iObject space = game.objects().withName("Space").withAction("Build").nearest();
        if (space == null) return;

        space.interact("Build");
        game.waitUntil(() -> !game.inventory().withNamePart("bird house").exists(), 5);
        game.tick();
    }
}
