package io.reisub.openosrs.birdhouse.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.api.ItemID;
import net.runelite.client.plugins.iutils.game.iNPC;
import net.runelite.client.plugins.iutils.game.iWidget;

public class GetTools extends Task {
    @Override
    public String getStatus() {
        return "Getting farming tools";
    }

    @Override
    public boolean validate() {
        return game.localPlayer().position().regionID() == 15008
                && !game.inventory().withId(ItemID.SEED_DIBBER).exists();
    }

    @Override
    public void execute() {
        iNPC leprechaun = game.npcs().withName("Tool Leprechaun").nearest();
        if (leprechaun == null) return;

        leprechaun.interact("Exchange");
        game.waitUntil(() -> game.widget(125, 0) != null && !game.widget(125, 0).hidden(), 30);
        game.tick();

        iWidget dibber = game.widget(125, 9);
        if (dibber == null) return;
        dibber.interact("Remove-1");
        game.tick();

        iWidget spade = game.widget(125, 10);
        if (spade == null) return;
        spade.interact("Remove-1");
        game.tick();

        for (int i = 0; i < 2; i++) {
            iWidget compost = game.widget(125, 19);
            if (compost == null) return;
            compost.interact("Remove-1");
            game.sleepDelay();
        }
        game.tick();

        iWidget close = game.widget(125, 1, 11);
        if (close ==  null) return;
        close.interact("Close");

        game.waitUntil(() -> game.widget(125, 0) == null, 5);
    }
}
