package io.reisub.openosrs.birdhouse.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.api.widgets.WidgetInfo;
import net.runelite.client.plugins.iutils.game.iObject;
import net.runelite.client.plugins.iutils.game.iWidget;

public class GoToVerdantValley extends Task {
    @Override
    public String getStatus() {
        return "Going to Verdant Valley";
    }

    @Override
    public boolean validate() {
        return game.localPlayer().position().regionID() == 14908
                && game.inventory().withNamePart("logs").count() == 4;
    }

    @Override
    public void execute() {
        iObject tree = game.objects().withName("Magic Mushtree").nearest();
        if (tree == null) return;

        tree.interact(0);
        game.waitUntil(() -> game.widget(WidgetInfo.FOSSIL_MUSHROOM_TELEPORT) != null, 15);
        game.tick();

        iWidget teleportWidget = game.widget(WidgetInfo.FOSSIL_MUSHROOM_VALLEY);
        if (teleportWidget == null) return;
        teleportWidget.select();

        game.waitUntil(() -> game.localPlayer().position().regionID() == 14906, 5);
        game.tick(2);
    }
}
