package io.reisub.openosrs.birdhouse.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.api.ItemID;
import net.runelite.client.plugins.iutils.game.InventoryItem;
import net.runelite.client.plugins.iutils.game.iNPC;

public class NoteSeaweed extends Task {
    @Override
    public String getStatus() {
        return "Noting seaweed";
    }

    @Override
    public boolean validate() {
        return game.localPlayer().position().regionID() == 15008
                && game.inventory().withId(ItemID.GIANT_SEAWEED).exists();
    }

    @Override
    public void execute() {
        InventoryItem seaweed = game.inventory().withId(ItemID.GIANT_SEAWEED).first();
        iNPC leprechaun = game.npcs().withName("Tool Leprechaun").first();
        if (seaweed == null || leprechaun == null) return;

        seaweed.useOn(leprechaun);
        game.waitUntil(() -> !game.inventory().withId(ItemID.GIANT_SEAWEED).exists(), 30);
        game.tick();
    }
}
