package io.reisub.openosrs.birdhouse.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.api.ItemID;
import net.runelite.client.plugins.iutils.game.iGroundItem;

public class PickupSeed extends Task {
    @Override
    public String getStatus() {
        return "Picking up seaweed spore";
    }

    @Override
    public boolean validate() {
        return game.localPlayer().position().regionID() == 15008
                && game.groundItems().withId(ItemID.SEAWEED_SPORE).exists();
    }

    @Override
    public void execute() {
        iGroundItem item = game.groundItems().withId(ItemID.SEAWEED_SPORE).nearest();
        if (item == null) return;

        int quantity = game.inventory().withId(ItemID.SEAWEED_SPORE).quantity();

        do {
            item.interact("Take");
            game.sleepDelay();
        } while (!game.localPlayer().isMoving());

        game.waitUntil(() -> game.inventory().withId(ItemID.SEAWEED_SPORE).quantity() > quantity, 30);
    }
}
