package io.reisub.openosrs.miner.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.api.ItemID;
import net.runelite.client.plugins.iutils.game.iObject;

public class PrepareMining extends Task {
    @Override
    public String getStatus() {
        return "Preparing for mining";
    }

    @Override
    public boolean validate() {
        return game.localPlayer().position().regionID() == 14908
                && game.inventory().all().isEmpty()
                && !bank.isOpen();
    }

    @Override
    public void execute() {
        if (!bank.isOpen()) {
            iObject bankObj = game.objects().withName("Bank chest", "Bank booth", "Bank Chest-wreck").nearest();
            if (bankObj == null) return;

            bankObj.interact(0);
            game.waitUntil(() -> bank.isOpen(), 15);
        }

        bank.withdraw(ItemID.KNIFE, 1, false);
        game.tick();

        bank.withdraw(ItemID.TEAK_LOGS, 1, false);

        bank.withdraw(ItemID.WATERSKIN4, 10, false);
        game.tick();

        bank.close();
        game.waitUntil(() -> !bank.isOpen(), 5);
    }
}
