package io.reisub.openosrs.smelter;

import lombok.Getter;
import net.runelite.api.ItemID;

@Getter
public enum Product {
    STEEL_BAR(ItemID.STEEL_BAR, 4, new Ingredient(ItemID.IRON_ORE, 9), new Ingredient(ItemID.COAL, 28)),
    MOLTEN_GLASS(ItemID.MOLTEN_GLASS, 0, new Ingredient(ItemID.SODA_ASH, 14), new Ingredient(ItemID.BUCKET_OF_SAND, 14)),
    CANNONBALLS(ItemID.CANNONBALL, 0, new Ingredient(ItemID.STEEL_BAR, 27));

    private final int id;
    private final int index;
    private final Ingredient[] ingredients;

    Product(int id, int index, Ingredient... ingredients) {
        this.id = id;
        this.index = index;
        this.ingredients = ingredients;
    }
}
