package io.reisub.openosrs.superglassmake.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.api.ItemID;
import net.runelite.client.plugins.iutils.api.Spells;
import net.runelite.client.plugins.iutils.game.iWidget;

public class CastSuperglassMake extends Task {
    @Override
    public String getStatus() {
        return "Casting Superglass Make";
    }

    @Override
    public boolean validate() {
        return game.inventory().withId(ItemID.BUCKET_OF_SAND).exists()
                && (game.inventory().withId(ItemID.SODA_ASH).exists() || (game.inventory().withId(ItemID.GIANT_SEAWEED).exists()))
                && game.inventory().withId(ItemID.ASTRAL_RUNE).exists()
                && !bank.isOpen();
    }

    @Override
    public void execute() {
        iWidget spellWidget = game.widget(Spells.SUPERGLASS_MAKE.getInfo());
        if (spellWidget == null) return;

        spellWidget.interact("Cast");
        game.waitUntil(() -> game.inventory().withId(ItemID.MOLTEN_GLASS).exists(), 5);
        game.tick(3);
    }
}
