package io.reisub.openosrs.tempoross.tasks;

import io.reisub.openosrs.tempoross.Tempoross;
import io.reisub.openosrs.util.Task;
import net.runelite.api.ItemID;
import net.runelite.client.plugins.iutils.game.iObject;

import javax.inject.Inject;

public class DouseFire extends Task {
    @Inject
    private Tempoross plugin;

    @Override
    public String getStatus() {
        return "Dousing fire";
    }

    @Override
    public boolean validate() {
        if (!plugin.isInTemperossArea()) return false;

        return game.inventory().withId(ItemID.BUCKET_OF_WATER).exists()
                && game.objects().withName("Fire").exists();
    }

    @Override
    public void execute() {
        iObject fire = game.objects().withName("Fire").nearest();
        if (fire == null) return;

        fire.interact("Douse");
        game.tick();
    }
}
