package io.reisub.openosrs.tempoross.tasks;

import io.reisub.openosrs.tempoross.Activity;
import io.reisub.openosrs.tempoross.Tempoross;
import io.reisub.openosrs.util.Task;

import javax.inject.Inject;

public class Tether extends Task {
    @Inject
    private Tempoross plugin;

    @Override
    public String getStatus() {
        return "Tethering";
    }

    @Override
    public boolean validate() {
        if (!plugin.isInTemperossArea()) return false;

        return plugin.isWaveIncoming() && plugin.getCurrentActivity() != Activity.TETHERING_MAST;
    }

    @Override
    public void execute() {

    }
}
