package io.reisub.openosrs.util.tasks;

import com.google.inject.Injector;
import io.reisub.openosrs.util.ParentTask;
import net.runelite.api.events.ChatMessage;

public class KittenTask extends ParentTask {
    public static boolean handleKitten;

    public static KittenTask getInstance(Injector injector) {
        KittenTask instance = injector.getInstance(KittenTask.class);

        instance.addChildren(
                injector.getInstance(CutFoodForKitten.class),
                injector.getInstance(HandleKitten.class),
                injector.getInstance(PickupCat.class)
        );

        return instance;
    }

    public void onChatMessage(ChatMessage chatMessage) {
        if (chatMessage.getMessage().contains("Your kitten wants attention.")
                || chatMessage.getMessage().contains("Your kitten is hungry.")) {
            handleKitten = true;
        }
    }
}
