package io.reisub.openosrs.util.tasks;

import io.reisub.openosrs.util.Task;
import net.runelite.client.plugins.iutils.game.iNPC;

public class PickupCat extends Task {
    private iNPC cat;

    @Override
    public String getStatus() {
        return "Picking up cat";
    }

    @Override
    public boolean validate() {
        cat = game.npcs().filter((npc) -> npc != null
                && npc.name() != null && npc.name().equals("Cat")
                && npc.target() != null && npc.target().name().equals(game.localPlayer().name())
                && npc.actions() != null && npc.actions().contains("Pick-up")).nearest();

        return cat != null && !game.inventory().full();
    }

    @Override
    public void execute() {
        cat.interact("Pick-up");
        game.tick();

        game.waitUntil(() -> game.inventory().withName("Cat").exists(), 10);
    }
}
