package io.reisub.openosrs.wintertodt;

import lombok.AllArgsConstructor;
import lombok.Getter;
import net.runelite.client.plugins.iutils.scene.Area;
import net.runelite.client.plugins.iutils.scene.RectangularArea;

import java.time.Instant;

@AllArgsConstructor
public class WintertodtProjectile {
    private final int x;
    private final int y;
    private final boolean aoe;

    @Getter
    private final Instant start;

    public Area getDamageArea() {
        if (aoe) {
            return new RectangularArea(x-1, y-1, x+1, y+1);
        } else {
            if (x == 1638) {
                return new RectangularArea(x,y-1, x+3, y+2);
            } else {
                return new RectangularArea(x-1, y-1, x+2, y+2);
            }
        }
    }
}
