package io.reisub.openosrs.wintertodt.tasks;

import io.reisub.openosrs.util.Task;
import io.reisub.openosrs.wintertodt.Wintertodt;
import net.runelite.api.GameState;
import net.runelite.api.widgets.WidgetInfo;

import javax.inject.Inject;

public class OpenInventory extends Task {
    @Inject
    public Wintertodt plugin;

    @Override
    public String getStatus() {
        return "Opening inventory";
    }

    @Override
    public boolean validate() {
        return game.client().getGameState() == GameState.LOGGED_IN
                && !bank.isOpen()
                && (game.widget(WidgetInfo.INVENTORY) == null || game.widget(WidgetInfo.INVENTORY).hidden());
    }

    @Override
    public void execute() {
        game.sleepDelay();
        game.openInterface(3);
        game.tick();
    }
}
